## org.apache.poi.util
Class PackageHelper

    java.lang.Object
      org.apache.poi.util.PackageHelper

    public final class PackageHelper

extends java.lang.Object

Provides handy methods to work with OOXML packages

Author:
  Yegor Kozlov

Constructor Summary
`PackageHelper()`

Method Summary
`static OPCPackage` `clone(OPCPackage pkg, java.io.File file)` Clone the specified package.
`static java.io.File` `createTempFile()` Creates an empty file in the default temporary-file directory,
`static OPCPackage` `open(java.io.InputStream is)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageHelper

    public PackageHelper()

Method Detail

### open

    public static OPCPackage open(java.io.InputStream is)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### clone

    public static OPCPackage clone(OPCPackage pkg,
                                   java.io.File file)
                            throws OpenXML4JException,
                                   java.io.IOException

  Clone the specified package.

  Parameters:
    `pkg` - the package to clone
    `file` - the destination file
  Returns:
    the cloned package
  Throws:
    `OpenXML4JException`
    `java.io.IOException`

### createTempFile

    public static java.io.File createTempFile()

  Creates an empty file in the default temporary-file directory,

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.